Description

The Arch wiki is a huge resource for many of my projects, so having an offline copy for those occasions | am not on the Internet is
useful. This is a guide for installing the Arch wiki package and hosting it with nginx inside of a VM. This guide assumes the virtual

Arch environment is already setup and at a root shell.

Prepare the environment

® Ensure everything is up to date:

pacman —-Syu

Install Arch Wiki

e |nstall that arch-wiki-docs package:
pacman -S arch-wiki-docs

e |nstall nginx:
pacman —-S nginx

e Edit the nginx config:

nano /etc/nginx/nginx.conf

o And change the default location in the http server block:

location / {
root /usr/share/doc/arch-wiki/html/en/;
index index.html index.htm;
autoindex on;

}

NOTE: Make to include the autoindex line, since the arch-wiki-docs package does not have a proper index file.

e Start and enable nginx at boot:

systemctl start nginx.service
systemctl enable nginx.service

Install RFC
e |nstall RFC:

pacman —-S rfc

* Edit the nginx config:

nano /etc/nginx/nginx.conf
o And add a location in the http server block for rfc:
location /rfc {
root /usr/share/doc/rfc;

index index.html index.htm;
autoindex on;

NOTE: Make to include the autoindex on; line, since the arch-wiki-docs package does not have a proper index file.

History

#1 - 04/14/2015 03:46 PM - Daniel Curtis
- Status changed from New to In Progress

- % Done changed from 0 to 50

#2 - 04/14/2015 03:46 PM - Daniel Curtis
- Description updated
- Status changed from In Progress to Resolved

- % Done changed from 50 to 100

#3 - 04/20/2015 12:21 PM - Daniel Curtis

- Description updated

#4 - 04/20/2015 05:12 PM - Daniel Curtis

- Description updated

#5 - 04/20/2015 05:16 PM - Daniel Curtis

- Status changed from Resolved to Closed
